# Get Account Filter

Get `https://app.mk.io/api/v1/projects/:project_name/media/accountFilters/:filter_name`

Get an account filter by name.

RBAC Capability Required: `ams.accountfilter.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path Parameters

| Parameter         | Type   | Required | Description |
|--------------------|--------|----------|-------------|
| project_name       | string | Yes      |            |
| filter_name        | string | Yes      |            |

## Response

### 200 A single account filter

| Field            | Type    | Optional | Description |
|-------------------|---------|----------|-------------|
| id                | string  | Yes      | Fully qualified resource ID for the resource. |
| name              | string  | Yes      | The name of the resource, 1-260 characters.
| properties        | object  | Required | Properties for the account filter. |

### Properties

- **firstQuality** (Optional): Defines the initial quality level when playback starts.
  - `bitrate` (Required): Denotes the target video bitrate to be used.

- **presentationTimeRange** (Optional): Cuts an asset into a smaller asset by specifying a start and end time.
  - `startTimestamp` (integer, Optional): Start time in units of timescale.
  - `endTimestamp` (integer, Optional): End time in units of timescale.

### Example:
```json
[
    {"property": "Type", "operation": "Equal", "value": "Audio"},
    {"property": "Bitrate", "operation": "Equal", "value": "3000000-5000000"},
    {"property": "Language", "operation": "NotEqual", "value": "en"}
]
```

### Errors

- **400 Bad Request**: Error details including code, detail, and extra detail.
- **401 Unauthorized**: Error details including code, detail, and extra detail.
- **403 Forbidden**: Error details including code, detail, and extra detail.
- **404 Not Found**: Error details including code, detail, and extra detail.
- **429 Too Many Requests**: Error details including code, detail, and extra detail.
- **500 Internal Server Error**: Error details including code, detail, and extra detail.
